HOME/組み込み製品/半導体IP/汎用IP/耐量子暗号コアライブラリ(Quantum Safe Core Library)
セキュリティ

耐量子暗号コアライブラリ(Quantum Safe Core Library)

耐量子アルゴリズムのみの軽量Cライブラリ。OS非依存のベアメタル実装、Arm 32bitで約46KB

メーカー Rambus Rambus
耐量子暗号コアライブラリ(Quantum Safe Core Library) 製品画像
製品名
耐量子暗号コアライブラリ(Quantum Safe Core Library)
スペシフィケーション
PQC

概要・特徴

Rambusの 耐量子暗号コアライブラリ(Quantum Safe Core Library)は、リソース使用量と依存関係を最小限に抑えることに重点を置いた、PQC(ポスト量子暗号)時代向けの暗号アルゴリズムを提供します。Quantum Core Library は、OS 依存がなく、フットプリントが小さい「ベアメタル」ソフトウェア実装です。

このライブラリには「従来の」アルゴリズムは含まれていないため、新しい Quantum Safe アルゴリズムのみを必要とするお客様に最適です。

動作説明

アルゴリズム
Quantum Core Library は、以下の耐量子アルゴリズムおよびスキームを実装しています。

  • ML-KEM (Crystals Kyber ベース) – 鍵カプセル化メカニズム
  • ML-DSA (Crystals Dilithium ベース) – デジタル署名スキーム
  • LMS – ステートフルハッシュベースの署名スキーム
  • XMSS – 状態保持型ハッシュベースの署名方式
  • SLH-DSA(SPHINCS+ ベース) – 状態非保持型ハッシュベースの署名方式

仕様

機能

  • 高速で最小限の耐量子ソフトウェアライブラリ
  • フットプリント:32 ビット ARM プラットフォームで 46KB(アルゴリズムが不要な場合はさらに縮小可能)。
  • 「ベアメタル」、OS や HW 依存なし
  • サードパーティのソフトウェアまたはハードウェアの統合をサポート SHA-256、SHA-512、および SHAKE256 の実装
  • 明確で移植性の高い C ソースコードで記述
  • メンテナンス期間中は、エンジニアレベルのサポートとアップデートを提供

サポートされている仕様

  • FIPS 203: モジュール格子ベースの鍵カプセル化メカニズム標準 (ML-KEM)
  • FIPS 204: モジュール格子ベースのデジタル署名標準 (ML-DSA)
  • FIPS 205: ステートレスハッシュベースのデジタル署名アルゴリズム (SLH-DSA)
  • RFC 8391: XMSS: 拡張メルクル署名方式
  • RFC 8554: LMS: Leighton-Micali ハッシュベースの署名
  • NIST SP 800-208 – ステートフルハッシュベース署名スキームに関する推奨事項
  • RFC 6234: 米国セキュアハッシュアルゴリズム (SHA および SHA ベースの HMAC および HKDF)

対応デバイス・対応OS

ベアメタル・各種OS

ライセンス形態

弊社にお問い合わせください。

評価版

弊社にお問い合わせください。

INQUIRY

耐量子暗号コアライブラリ(Quantum Safe Core Library)に関する在庫、価格などの
お問い合わせはこちらから

フォームが表示されるまでしばらくお待ち下さい。

恐れ入りますが、しばらくお待ちいただいてもフォームが表示されない場合は、こちらまでお問い合わせください。

お急ぎの方はこちらから
050-3000-2102
平日:9:00〜17:00
CONTACT

まずは、ご相談ください。

「探している組み込み製品」も「相談したい組み込み開発」も、まずはこちらから。
“こんな製品はないか”、“見積もりがほしい”、“この技術は対応できるか”、“詳しい実績が知りたい”——質問だけでも結構です。
お急ぎの場合も迅速に対応します。

お電話でのお問い合わせ 050-3000-2102 インダストリービジネス事業部 平日:9:00〜17:00